Subject: Re: [TR] Met some of our folks at VTR

From: Philip Ethier <[email-masked]>
Date: Fri, 12 Sep 2014 13:36:05 -0500

Wow.  Sorry I can't be there.  Hope 2015 is in a good place and time for me!

On your way home, look for the Lotus cars coming in for the LOG in
Asheville.

On Fri, Sep 12, 2014 at 12:07 PM, Chris Simo <[email-masked]> wrote:

> Was really nice to put some names with faces this week @ VTR in NC.  So
> glad to see such a nice turnout for the event my club is hosting.
>
> After some  unexpected delays, the hill climb went off with Marty Sukey's
> Spitfire leading the test runs up the course.
>
> We had 3 glorious ladies from Texas take to the hill climb and it was so
> much fun seeing these triumphs from the 1930's take to the course.  I even
> got to tech one -  a 1936 Gloria Southern Cross - wow!
>
> Lots of beautiful cars here and though I've been working super long days,
>  it's been a pleasure to tech  cars and get a chance to talk to their
> owners and poke around their beautiful cars. We even got a chance to do a
> few repairs we found during tech.   Loose steering column due to worn grub
> screw, overheating from too lean mixture, one TR6 was running on the rear
> carb only, leaky intake, and a few more.   I left greasy and tired, but
> that's all in a days work.
>
> Never seen so many TR8's in one place!!
>
> Chris
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/triumphs/[email-masked]
>

-- 
[email-masked] still works also
Phil Ethier West Side Saint Paul Minnesota USA
1973 Triumph Stag LE22439UBW "uncle jack", Sapphire Blue
2004 Suburban 8.1, Sport Red, the only automatic of the bunch
2005 Lotus Elise, Bordeaux Red Pearl
2005 Subaru Legacy GT Limited, Regal Blue Pearl
http://www.mnautox.com

** [email-masked] **

Archive: http://www.team.net/archive

---

From: Geo Hahn <[email-masked]>
Date: Fri, 12 Sep 2014 11:53:05 -0700

Good to hear about it, sorry to miss it.  I realize there are some who
would not stint at a 4000 mile drive but that is a bit more than I can do.

My good friend Ben Cohen from here in Tucson will be hanging out at some of
the event, probably the show  Ben has an extraordinary collection of
British cars including an AC Ace, an Elva, a couple of Lotus 7s and much
more.  After 40 years of LBC ownership he finally got his first Triumph a
few weeks ago.

With no car in the show he'll be wandering around like a guy who couldn't
get a date for the dance -- so if you meet him please make him feel welcome
and ask about his Triumph,  If the 2015 VTR is west of the Rockies I will
try to get both of us there.

Geo

On Fri, Sep 12, 2014 at 10:07 AM, Chris Simo <[email-masked]> wrote:

> http://autox.team.net/mailman/options/triumphs/[email-masked]